﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Xna.Framework
{
    public class Game : IDisposable
    {
        private Content.ContentManager contentManager = new Content.ContentManager();
        private GameWindow window = new GameWindow();

        public Game()
        {
        }

        protected virtual void Initialize() { }

        protected virtual void Update(GameTime gt) { }

        public Content.ContentManager Content { get { return contentManager; } }
        public GameWindow Window { get { return window; } }

        public bool IsActive { get { return true; } }
        public bool IsFixedTimeStep { get; set; }
        public bool IsMouseVisible { get; set; }

        public void Dispose()
        {
            throw new NotImplementedException();
        }
    }
}
